Page MenuHomePhabricator

Evaluate GoCD
Closed, ResolvedPublic

Description

https://www.gocd.org/ is the home page of GoCD.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2019, 6:17 PM
zeljkofilipin triaged this task as Normal priority.Mar 14 2019, 6:18 PM
hashar added a subscriber: hashar.Mar 15 2019, 6:57 AM

Looked at GoCD, by Thoughtworks. A Java application, divided into a
server, which also provides a web UI, and an an agent, which needs to
be run on each worker. Similar to traditional Jenkins in that way.

Got the "build Blubber" toy project to work. Some notes:

  • configuration is via the web UI; there may also be a way to do it via an API, but the Travis style does not seem to be possible
  • the web UI does not seem to have authentication, by default; it's possible to add authentication, but this would require careful auditing

It doesn't seem easy to configure GoCD to provide a self-serve setup,
and thus I recommend we do not use GoCD.

LarsWirzenius closed this task as Resolved.Mar 22 2019, 7:27 PM
LarsWirzenius claimed this task.